##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'SLAC Firmware Standard Library', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################

Device: &AmcCarrierBsi 
  name: AmcCarrierBsi
  description: AmcCarrier BSI Module
  size: 0x100
  #########
  IntField:
  #########
    #########################################################
    - offset: 0x00
      name: MAC
      sizeBits: 48
      nelms: 4
      stride: 8
      mode: RO
      description: MAC Address[3:0]    
    #########################################################
    - offset: 0x80
      name: CrateId
      mode: RO
      sizeBits: 16
      description: ATCA Crate ID 
    #########################################################
    - offset: 0x84
      name: SlotNumber
      mode: RO
      sizeBits: 4
      description: ATCA Logical Slot Number    
    #########################################################
    - offset: 0x88
      name: BootStartAddress
      mode: RO
      description: Bootloader Start Address    
    #########################################################
    - offset: 0x8C
      name: VersionMinor
      mode: RO
      sizeBits: 8
      description: BSI's Minor Version Number
    #########################################################
    - offset: 0x90
      name: VersionMajor
      mode: RO
      sizeBits: 8
      description: BSI's Major Version Number      
    #########################################################